<?php

namespace EasyContent\WordPress\Implementation\Db\Migrations;

use EasyContent\WordPress\Implementation\Db\Migration;

final class ArticleTitlesTypeFixMigration implements Migration
{
    public function run()
    {
        global $wpdb;
        $articlesTableName = "{$wpdb->prefix}easycontent_article";

        $wpdb->query("ALTER TABLE `{$articlesTableName}` CHANGE COLUMN `topic_name` `topic_name` TEXT NOT NULL;");
        $wpdb->query("ALTER TABLE `{$articlesTableName}` CHANGE COLUMN `title` `title` TEXT NULL DEFAULT NULL;");
    }
}
