<?php

namespace EasyContent\WordPress\Implementation\Form\Defaults;

use EasyContent\WordPress\Implementation\Form\SearchArticlesForm;

final class SearchArticlesFormDefaults implements DefaultsProvider
{
    public function get($fieldName)
    {
        switch ($fieldName) {
            case SearchArticlesForm::FIELD_SYNCHRONIZATION_STATUS:
            case SearchArticlesForm::FIELD_NAME:
                return '';
            case SearchArticlesForm::FIELD_WORKFLOW_STATUS_ID:
                return 0;
        }

        return null;
    }
}
