<?php

namespace EasyContent\WordPress\Metaboxes;

use EasyContent\WordPress\Implementation\Container;

final class MetaBoxesManager
{
    /** @var Container $container */
    private $container;

    /**
     * @param Container $container
     */
    public function __construct(Container $container)
    {
        $this->container = $container;

        add_action('add_meta_boxes', [$this, 'addMetaBoxes']);
    }

    public function addMetaBoxes()
    {
        $this->container->get(PostSyncMetaBox::class);
    }
}
