<?php

namespace EasyContent\WordPress\Notices;

final class AdminNotice implements AdminNoticeInterface
{
    private $message;
    private $type;
    private $isDismissible;

    public function __construct($message, $type = self::TYPE_SUCCESS, $isDismissible = true)
    {
        $this->message = $message;
        $this->type = $type;
        $this->isDismissible = $isDismissible;
    }

    public function getMessage()
    {
        return $this->message;
    }

    public function getType()
    {
        return $this->type;
    }

    public function isDismissible()
    {
        return $this->isDismissible;
    }
}
