<?php

namespace EasyContent\WordPress;

class Singleton
{
    final public static function getInstance()
    {
        static $instance = null;

        if ( null === $instance ) {
            $instance = new static();
        }

        return $instance;
    }

    final protected function __clone() { }
    protected function __construct() { }
}
