<?php

namespace EasyContent\WordPress\Source\UseCase\SetNewStatus;

final class Command
{
    /** @var int $postId */
    private $postId;
    /** @var int $statusId */
    private $statusId;

    /**
     * @param int $postId
     * @param int $statusId
     */
    public function __construct($postId, $statusId)
    {
        $this->postId = $postId;
        $this->statusId = $statusId;
    }

    /**
     * @return int
     */
    public function getPostId()
    {
        return $this->postId;
    }

    /**
     * @return int
     */
    public function getStatusId()
    {
        return $this->statusId;
    }
}
