<?php

namespace EasyContent\WordPress\Implementation\Db\Migrations;

use EasyContent\WordPress\Implementation\Db\Migration;

final class ArticleCacheTableUpdateMigration implements Migration
{
    public function run()
    {
        global $wpdb;
        $articlesTableName = "{$wpdb->prefix}easycontent_article";

        $wpdb->query("ALTER TABLE `{$articlesTableName}` DROP COLUMN `category_id`;");
    }
}
