<?php

namespace EasyContent\WordPress\Implementation\Form\Defaults;

use EasyContent\WordPress\Implementation\Form\SeoPluginSelectionForm;
use EasyContent\WordPress\Plugin;

final class SeoPluginSelectionFormDefaults implements DefaultsProvider
{
    public function get($fieldName)
    {
        return SeoPluginSelectionForm::FIELD_SLUG === $fieldName
            ? Plugin::getInstance()->getSettings()->seoPlugin
            : null;
    }
}
