<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Api\Entity\ImportedArticle;

interface PluginStorage
{
    /**
     * @return Miscellaneous
     */
    public function getMiscellaneous();

    /**
     * @param Miscellaneous $miscellaneous
     * @return void
     */
    public function saveMiscellaneous(Miscellaneous $miscellaneous);

    /**
     * @param string $key
     * @return void
     */
    public function saveKey($key);

    /**
     * @param ImportedArticle $article
     * @return void
     */
    public function save(ImportedArticle $article);
}
