<?php

namespace EasyContent\WordPress\Source\Entity;

interface PostTaxonomiesStorage
{
    /**
     * @param array|int[] $ids
     * @return array|int[] List of existing categories ids
     */
    public function validateCategories($ids);

    /**
     * @param array|int[] $ids
     * @return array|int[] List of existing tags ids
     */
    public function validateTags($ids);
}
